#!/bin/sh
res=`service ipmi status`
echo $res | grep 'not' >> /dev/null;
ipmi_status=$?  # start:1 ; stop:0
if [ $ipmi_status -eq 1 ]; then
	echo "############################## caution ##############################"
	echo "# To avoid KCS communication fail, this shell script will stop IPMI #"
	echo "# service automatically before update BMC firmware.                 #"
	echo "#####################################################################"
	res=`service ipmi stop`
fi

cd linuxflash
./linuxflash.sh
cd ..

if [ $ipmi_status -eq 1 ]; then
	echo "Waiting for BMC ready, and then start IPMI service..."
	sleep 90
	res=`service ipmi start`
	echo "IPMI service start now !!!"
fi
